/*****************************************************************************/
/*                      WiNRADiO G35DDC EXCALIBUR ULTRA                      */
/*                                SDK DEMO                                   */
/*                        (C) Copyright RADIXON 2014                         */
/*****************************************************************************/

#ifndef __U_DEFS_H__
#define __U_DEFS_H__

#define APP_TITLE wxT("G35DDC SDK Demo")

//ms
#define UPDATE_INTERVAL     50

#define RBW_COUNT           6

#define MIN_FFT_SIZE        1024
#define MAX_FFT_SIZE        32768

#define MIN_IF_FFT_SIZE     2048
#define MAX_IF_FFT_SIZE     65536

#define AUDIO_SAMPLE_RATE   48000

#define ATTENUATOR_0dB      0
#define ATTENUATOR_3dB      1
#define ATTENUATOR_6dB      2
#define ATTENUATOR_9dB      3
#define ATTENUATOR_12dB     4
#define ATTENUATOR_15dB     5
#define ATTENUATOR_18dB     6
#define ATTENUATOR_21dB     7
#define ATTENUATOR_MAX      ATTENUATOR_21dB

#define PRESEL_COUNT        5

#endif
